> For the complete documentation index, see [llms.txt](https://docs.nymcard.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nymcard.com/get-started/webhooks/webhooks-management.md).

# Webhooks management

You can create and manage your webhooks events by using our APIs. Following are the APIs available at nCore platform for webhooks event management.

* Update a webhook
* Get a list of webhooks
* Get a specific webhook
* Delete a webhook
* Ping an existing webhook
* Trigger an expired webhooks
* Search webhooks

### **Update a webhook**

You can update the existing webhook as required. Send a **PUT** request to **/webhooks/{id}** endpoint to update a webhook.&#x20;

Include the webhook ID as a path parameter to indicate the webhook which is required to be updated.&#x20;

<details>

<summary><a href="https://nymcard.com/docs/api#tag/Webhooks/operation/updateWebhookNotification">PUT /webhooks/{id}</a></summary>

**`{`**\
`    `**`"endpoint": "`**[**`https://example.com/`**](https://example.com/)**`",`**\
`    `**`"events": [`**\
`        `**`"CARD_STATUS_CHANGE"`**\
`    `**`]`**\
\&#xNAN;**`}`**

</details>

### **Retrieve webhooks**

The nCore platform offers the following retrieval options for webhooks.

***Retrieve all webhooks***

You can retrieve all existing webhooks by sending a **GET** request to **/webhooks** endpoint as shown below.

> [**GET /webhooks**](https://nymcard.com/docs/api#tag/Webhooks/operation/listWebhookNotifications)

***Retrieve a specific webhook***

You can retrieve a specific webhook by sending a **GET** request to **/webhooks/{id}** endpoint, where id is the webhook ID.

> [**GET /webhooks/{id}**](https://nymcard.com/docs/api#tag/Webhooks/operation/getWebhook)

### **Delete a webhook**

You can delete a specific webhook by sending a **DELETE** request to **/webhooks/{id}** endpoint, where id is the webhook ID.

> [**DELETE /webhooks/{id}**](https://nymcard.com/docs/api#tag/Webhooks/operation/deleteWebhook)

### **Ping a webhook**

You can ping an existing webhook endpoint for testing purposes (for example, to validate credentials and connectivity).&#x20;

You can send a **POST** request to **/webhooks/{id}:ping** endpoint, where id is the webhook ID.

> [**POST /webhooks/{id}:ping** ](https://nymcard.com/docs/api#tag/Webhooks/operation/pingWebhook)

### **Trigger expired webhooks**

A webhook notification is counted as successfully transmitted when a positive response is received from your system. If a positive response is not received, then the platform retries to transmit the webhook notification. The number of retry attempts and the interval between retries (in seconds) are configured. If all the retries are exhausted for an individual notification event then that event is marked as expired.&#x20;

It is possible to mark the expired events for retransmission on your request by sending a **POST** request to **/webhooks/sendexpired** endpoint.

<details>

<summary><a href="https://nymcard.com/docs/api#tag/Webhooks/operation/sendWebhooksExpired">POST /webhooks:sendexpired</a></summary>

**`{`**

&#x20;   **`"notification_id": “b012776c-ab74-4ece-8403-0bbb9130508c”`**

**`}`**

</details>

### **Search webhooks**

You can search webhooks by sending a **POST** request to **/webhooks:search** endpoint as shown below.

> [**POST /webhooks:search**](https://nymcard.com/docs/api#tag/Webhooks/operation/searchWebhooks)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nymcard.com/get-started/webhooks/webhooks-management.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
